
%global meadversion 0.34.3
%global namedversion 0.34.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package jaegertracing-jaeger-client-java}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.34.3.redhat-00001

Name:		    %{?scl_prefix}jaegertracing-jaeger-client-java
Summary:	    Jaeger's Tracing Instrumentation Library for Java
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jaeger-parent-0.34.3.redhat-00001-project-sources.tar.gz
Source102: jaeger-client-0.34.3.redhat-00001-sources.jar
Source103: jaeger-tracerresolver-0.34.3.redhat-00001-javadoc.jar
Source104: jaeger-client-0.34.3.redhat-00001.jar
Source105: jaeger-core-0.34.3.redhat-00001.pom
Source106: jaeger-client-0.34.3.redhat-00001-javadoc.jar
Source107: jaeger-core-0.34.3.redhat-00001-javadoc.jar
Source108: jaeger-micrometer-0.34.3.redhat-00001-javadoc.jar
Source109: jaeger-tracerresolver-0.34.3.redhat-00001.pom
Source110: jaeger-micrometer-0.34.3.redhat-00001.jar
Source111: jaeger-thrift-0.34.3.redhat-00001.pom
Source112: jaeger-client-0.34.3.redhat-00001.pom
Source113: jaeger-core-0.34.3.redhat-00001.jar
Source114: jaeger-tracerresolver-0.34.3.redhat-00001-sources.jar
Source115: jaeger-tracerresolver-0.34.3.redhat-00001.jar
Source116: jaeger-thrift-0.34.3.redhat-00001.jar
Source117: jaeger-core-0.34.3.redhat-00001-sources.jar
Source118: jaeger-micrometer-0.34.3.redhat-00001-sources.jar
Source119: jaeger-thrift-0.34.3.redhat-00001-sources.jar
Source120: jaeger-micrometer-0.34.3.redhat-00001.pom
Source121: jaeger-thrift-0.34.3.redhat-00001-javadoc.jar
Source122: jaeger-parent-0.34.3.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://jaegertracing.io/
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jaegertracing-jaeger-client-java
Group:          Development/Java


%description javadoc
Javadoc for jaegertracing-jaeger-client-java
%endif

%package -n %{?scl_prefix}jaegertracing-jaeger-client-java-client
Summary:        Convenience module to be used by instrumented applications
Group:          Development/Java

%description -n %{?scl_prefix}jaegertracing-jaeger-client-java-client
%{summary}.

%package -n %{?scl_prefix}jaegertracing-jaeger-client-java-core
Summary:        Core library for jaeger-client
Group:          Development/Java

%description -n %{?scl_prefix}jaegertracing-jaeger-client-java-core
%{summary}.

%package -n %{?scl_prefix}jaegertracing-jaeger-client-java-micrometer
Summary:        Micrometer integration for Jaeger internal metrics
Group:          Development/Java

%description -n %{?scl_prefix}jaegertracing-jaeger-client-java-micrometer
%{summary}.

%package -n %{?scl_prefix}jaegertracing-jaeger-client-java-thrift
Summary:        Library to send data to Jaeger backend components via Thrift
Group:          Development/Java

%description -n %{?scl_prefix}jaegertracing-jaeger-client-java-thrift
%{summary}.

%package -n %{?scl_prefix}jaegertracing-jaeger-client-java-tracerresolver
Summary:        TracerResolver implementation for Jaeger Tracer
Group:          Development/Java

%description -n %{?scl_prefix}jaegertracing-jaeger-client-java-tracerresolver
%{summary}.

%prep
%if 0
%setup -q -n jaeger-parent-%{namedversion} -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jaeger-client-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-client-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaeger-core-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaeger-micrometer-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-micrometer-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaeger-thrift-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-thrift-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaeger-tracerresolver-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-tracerresolver-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/jaeger-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaeger-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaeger-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaeger-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaeger-micrometer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaeger-micrometer-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaeger-thrift-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaeger-thrift-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaeger-tracerresolver-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaeger-tracerresolver-%{namedversion}-sources.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/jaeger-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaeger-client-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaeger-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaeger-core-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaeger-micrometer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaeger-micrometer-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaeger-thrift-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaeger-thrift-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jaeger-tracerresolver-%{namedversion}.jar %{buildroot}%{_javadir}/jaeger-tracerresolver-%{namedversion}.jar

%endif


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jaegertracing-jaeger-client-java-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jaeger-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jaegertracing-jaeger-client-java-core-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jaegertracing-jaeger-client-java-core-%{namedversion} jaegertracing-jaeger-client-java-core)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jaegertracing-jaeger-client-java-client
%defattr(0644,root,root,0755)
%{_javadir}/jaeger-client-%{namedversion}.jar
%{_javadir}/jaeger-client.jar
%{_javadir}/jaeger-client-%{namedversion}-sources.jar
%{_javadir}/jaeger-client-sources.jar

%files -n %{?scl_prefix}jaegertracing-jaeger-client-java-core
%defattr(0644,root,root,0755)
%{_javadir}/jaeger-core-%{namedversion}.jar
%{_javadir}/jaeger-core.jar
%{_javadir}/jaeger-core-%{namedversion}-sources.jar
%{_javadir}/jaeger-core-sources.jar

%files -n %{?scl_prefix}jaegertracing-jaeger-client-java-micrometer
%defattr(0644,root,root,0755)
%{_javadir}/jaeger-micrometer-%{namedversion}.jar
%{_javadir}/jaeger-micrometer.jar
%{_javadir}/jaeger-micrometer-%{namedversion}-sources.jar
%{_javadir}/jaeger-micrometer-sources.jar

%files -n %{?scl_prefix}jaegertracing-jaeger-client-java-thrift
%defattr(0644,root,root,0755)
%{_javadir}/jaeger-thrift-%{namedversion}.jar
%{_javadir}/jaeger-thrift.jar
%{_javadir}/jaeger-thrift-%{namedversion}-sources.jar
%{_javadir}/jaeger-thrift-sources.jar

%files -n %{?scl_prefix}jaegertracing-jaeger-client-java-tracerresolver
%defattr(0644,root,root,0755)
%{_javadir}/jaeger-tracerresolver-%{namedversion}.jar
%{_javadir}/jaeger-tracerresolver.jar
%{_javadir}/jaeger-tracerresolver-%{namedversion}-sources.jar
%{_javadir}/jaeger-tracerresolver-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jaegertracing-jaeger-client-java-core
%{_javadocdir}/jaegertracing-jaeger-client-java-core-%{namedversion}
%endif


%changelog
* Mon Mar 09 2020 Yong Yang <yyang@redhat.com> - 0.34.3-1.redhat_00001.1
- RPM wrapper build 0.34.3.redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 0.34.0-1.redhat_00001.1
- 0.34.0.redhat-00001

* Thu Sep 13 2018 Yong Yang <yyang@redhat.com> - 0.30.6-1.redhat_00001.1
- 0.30.6.redhat-00001

* Thu Sep 13 2018 Yong Yang <yyang@redhat.com> - 0.30.6-1.redhat_00001.1
- 0.30.6.redhat-00001

* Thu Sep 13 2018 Yong Yang <yyang@redhat.com> - 0.36.6
- Init build
